Get aggregated networks - Fabric
Get aggregated networks
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/inventory/aggregatedNetwork/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
200
{
"pagination": {
"total": 100,
"limit": 10,
"offset": 0
},
"networkAggregation": [
{
"networkCode": "Ship-to-home",
"sku": "SKU00025",
"virtualCounters": {
"availableToPurchase": 50
}
}
]
}
400
{
"message": "Invalid request payload or parameter"
}
404
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
500
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
- Authorization:
Bearer <token> - Required Bearer authentication header.
Headers
- x-site-context: Required JSON object containing information about the source. Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}.